/**
 * Record.java
 * Created on 2005/05/12
 * Copyright (c) by es , All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND 
 * CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED 
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A 
 * PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE 
 * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY 
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, 
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF 
 * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER 
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN 
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE 
 * OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS 
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package izayoi.cache;

import java.io.Serializable;
import java.util.Collection;

/**
 * uR[hv
 * @author es
 */
public interface Record extends Serializable {

    /**
     * utB[hv̑݃`FbN
     * @param name tB[h
     * @return ݂Ȃ^
     */
    public boolean containsField(String name);

    /**
     * ̃R[h̖{
     * @return
     */
    public String getBody();

    /**
     * utB[hv̒l̎擾
     * @param name tB[h
     * @return tB[hl
     */
    public String getField(String name);

    /**
     * utB[hv̖̈ꗗ̎擾
     * @return tB[hꗗ
     */
    public Collection getFieldNames();

    /**
     * wb_̎擾
     * @return wb_l
     */
    public String getHeader();

    /**
     * ̃R[h̎ʎq
     * @return
     */
    public String getID();

    /**
     * ̃R[h̃^CX^v
     * @return
     */
    public long getTimeStamp();

    /**
     * ̃R[h𒼗
     * @return
     */
    public String parseString();

    /**
     * 폜R[hۂ
     * @return
     */
    public boolean isDeletedRecord();

    /**
     * 폜擾
     * @return 폜(폜R[hłȂꍇ͕̒l)
     */
    public long getDeletedTime();

    /**
     * 폜˗R[hID擾
     * @return@폜˗R[hID(폜R[hłȂꍇnull)
     */
    public String getDeleteRequestID();
}
