/*
 * DataFilenameFilter.java
 *
 * Created on 2004/10/22, 0:41
 */

package net.sourceforge.shingetsu.io;

import java.io.File;
import java.io.FilenameFilter;

import net.sourceforge.shingetsu.util.Config;

/**
 * LbVt@C̃fBNgf[^t@CIʂ邽߂̃t@Cl[
 * ̃tB^NXłB
 * @author stokesia
 */
public class DataFilenameFilter implements FilenameFilter {
    
    private final static Config config = Config.getInstance();
    
    private String type = null;
    
    /** Creates a new instance of DataFilenameFilter */
    public DataFilenameFilter() {
    }
    
    /**
     * w肵^Cṽt@CłɃtB^O܂B
     * @param type VŒ`Ă^Cv
     */    
    public DataFilenameFilter(String type) {
        this.type = type;
    }
    
    /**
     * t@CtB^ŃtB^O܂B
     * @param file tB^OΏۂ̃t@C
     * @param filename t@C̖O
     * @return t@C󂯓̂łtrue
     */    
    public boolean accept(File file, String filename) {
        String suffix = "." + config.getDataFileExtension();
        boolean result = filename.endsWith(suffix);
        
        if(type != null) {
            result = filename.startsWith(type);
        }
        
        return result;
    }
    
    
}
